#include <iostream>
#include <iomanip>
#include <algorithm>
#include <cmath>
using namespace std;

int N, smrt, stizu, bezi,a=0, d[200005], s[200007];


int main (){

cin>> N;

for (int i=0 ; i<N ; i++)
{
    cin>> d[i];
    stizu= d[i];
    for (int j=stizu ; j<bezi ; j++)
        {
        s[a]=3;
        a++;
        if (cout<< 3)
        {
            bezi++;
        }
        s[a]=2;
        a++;
        if (cout<< 2)
        smrt++;
        }
        }
        cout<< smrt;
        for (int i ; i<a ; i++)
        {
            cout<< s[i];
        }



return 0;
}